Summary: A text-based Web browser.
Name: lynx
Version: 2.8.5
Release: 6.norlug
License: GPL
Group: Applications/Internet
Source: http://lynx.isc.org/current/lynx%{version}dev.7.tar.bz2
Source1: lynx.cfg.ja
Source2: lynx2-8-2.ja.po.bz2
Source3: lynx.cfg.cs
Source4: lynx.cfg.sk
Source5: lynx.lss
URL: http://lynx.isc.org/
Patch0: lynx-2.8.4-redhat.patch
Patch1: lynx2-8-2-telnet.patch
Patch2: lynx-284-i18ncfg.patch
Patch3: lynx-284-ipv6-salen.patch
Patch4: lynx2.8.4rel.1c.patch
Requires: indexhtml
Provides: webclient
BuildRequires: openssl-devel, ncurses-devel, slang-devel, zlib-devel
Buildroot: %{_tmppath}/%{name}-root

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables, and most other HTML tags. One
advantage Lynx has over graphical browsers is speed; Lynx starts and
exits quickly and swiftly displays webpages.

%prep
%setup -q -n lynx2-8-5
%patch0 -p1 -b .redhat
%patch1 -p1 -b .telnet
%patch2 -p1 -b .i18ncfg
%patch3 -p1 -b .salen
%patch4 -p1 -b .crlf
perl -pi -e "s,^HELPFILE:.*,HELPFILE:file://localhost/usr/share/doc/lynx-%{version}/lynx_help/lynx_help_main.html,g" lynx.cfg
perl -pi -e "s,^DEFAULT_INDEX_FILE:.*,DEFAULT_INDEX_FILE:http://www.google.com/,g" lynx.cfg

%build
export PATH=`pwd`:$PATH
cat >gcc <<EOF
#!/bin/sh
ARGS=""
while [ \$# != 0 ]; do
	if [ \$1 != "-I/usr/include" -a \$1 != "-I/usr/include/" ]; then
		ARGS="\$ARGS \$1"
	fi
	shift
done
exec /usr/bin/gcc \$ARGS
EOF
chmod 0755 gcc
export CFLAGS="-ggdb $RPM_OPT_FLAGS -DNCURSES -DNCURSES_MOUSE_VERSION" CXXFLAGS="-ggdb $RPM_OPT_FLAGS -DNCURSES -DNCURSES_MOUSE_VERSION"
%configure --libdir=/etc \
	--with-screen=ncurses --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork \
	--enable-persistent-cookies --enable-prettysrc \
	--disable-font-switch --enable-source-cache \
	--enable-kbd-layout --with-zlib \
	--enable-charset-choice --enable-file-upload \
	--enable-cgi-links --enable-read-eta \
	--enable-addrlist-page --enable-cjk \
	--enable-justify-elts --enable-scrollbar \
	--enable-libjs --enable-cgi-links --enable-nls \
	--enable-ipv6 --enable-color-style \
	--with-ssl=/usr
OLD_PO_FILE_INPUT=yes make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1 libdir=$RPM_BUILD_ROOT/etc
# Install Lang dependent resources
install -m444 %{SOURCE1} $RPM_BUILD_ROOT/etc
install -m444 %{SOURCE3} $RPM_BUILD_ROOT/etc
install -m444 %{SOURCE4} $RPM_BUILD_ROOT/etc
install -m444 %{SOURCE5} $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/
( bzcat %{SOURCE2} | msgfmt -o $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/lynx.mo - )

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet

cat >$RPM_BUILD_ROOT%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%{_bindir}/lynx
%lang(cs) %{_prefix}/share/locale/cs/LC_MESSAGES/*
%lang(da) %{_prefix}/share/locale/da/LC_MESSAGES/*
%lang(de) %{_prefix}/share/locale/de/LC_MESSAGES/*
%lang(fr) %{_prefix}/share/locale/fr/LC_MESSAGES/*
%lang(ja) %{_prefix}/share/locale/ja/LC_MESSAGES/*
%lang(nl) %{_prefix}/share/locale/nl/LC_MESSAGES/*
%lang(pt_BR) %{_prefix}/share/locale/pt_BR/LC_MESSAGES/*
%lang(ru) %{_prefix}/share/locale/ru/LC_MESSAGES/*
%lang(sl) %{_prefix}/share/locale/sl/LC_MESSAGES/*
%lang(sv) %{_prefix}/share/locale/sv/LC_MESSAGES/*
%{_mandir}/*/*
%config %{_sysconfdir}/lynx.cfg
%config %{_sysconfdir}/lynx.lss
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%lang(ja) %config %{_sysconfdir}/lynx.cfg.ja
%lang(cs) %config %{_sysconfdir}/lynx.cfg.cs
%lang(sk) %config %{_sysconfdir}/lynx.cfg.sk

%changelog
* Mon Oct 11 2004 Chip Cuccio <chipster@norlug.org> 2.8.5dev.16-6
- updated
- enabled color style option

* Fri Sep 12 2003 Chip Cuccio <chipster@norlug.org> 2.8.5dev.16-1
- initial rh-7.3 release
